zenilib: Zeni::Vertex3f_Texture Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Vertex3f_Texture Class Reference
Zenilib

An Abstraction of a Vertex in 3-space, textured. More...

`#include <Vertex3f.h>`

Inherits Zeni::Renderable, and Zeni::Vertex3f.

## Public Member Functions

| Vertex3f_Texture ()
| Initialize the Vertex3f_Texture. More...
| Vertex3f_Texture (const Point3f &position, const Point3f &normal, const Point2f &texture_coordinate)
| Vertex3f_Texture (const Point3f &position, const Point2f &texture_coordinate)
Vertex3f_Texture * | interpolate_to (const float &rhs_part, const Vertex3f_Texture &rhs) const
| Get a Vertex2f_Texture between two vertices; rhs must be a Vertex2f_Texture. More...
virtual bool | is_3d () const
| Tell the rendering system if we're using 3D coordinates. More...
virtual void | render_to (Video_GL_Fixed &screen) const
| Overridden for OpenGL rendering. More...
virtual void | render_to (Video_GL_Shader &screen) const
| Overridden for OpenGL rendering. More...
virtual void | render_to (Video_DX9 &screen) const
| Overridden for Direct3D9 rendering. More...
virtual void | subrender_to (Video_GL_Fixed &screen) const
virtual void | subrender_to (Video_GL_Shader &screen) const
Public Member Functions inherited from Zeni::Renderable
| Renderable ()
| Renderable (const Renderable &rhs)
virtual | ~Renderable ()
void | fax_Material (const Material *const &material)
| Set the Material, giving the Renderable a copy. More...
const Material * | get_Material () const
| Get the Material. More...
void | give_Material (Material *const &material)
| Set the Material, giving the Renderable ownership. More...
void | lend_Material (const Material *const &material)
| Set the Material, giving the Renderable no ownership. More...
Renderable & | operator= (const Renderable &rhs)
virtual void | post_render () const
virtual void | pre_render () const
Public Member Functions inherited from Zeni::Vertex3f
virtual | ~Vertex3f ()
void * | get_address () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
unsigned long | get_offset () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
virtual Point3f | get_position () const

## Public Attributes

Point2f | texture_coordinate
Public Attributes inherited from Zeni::Vertex3f
Point3f | normal
Point3f | position

## Additional Inherited Members

Protected Member Functions inherited from Zeni::Vertex3f
| Vertex3f ()
| Vertex3f (const Point3f &position, const Point3f &normal=Point3f())

## Detailed Description

An Abstraction of a Vertex in 3-space, textured.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 113 of file Vertex3f.h.

## Constructor & Destructor Documentation

Zeni::Vertex3f_Texture::Vertex3f_Texture | ( |  | ) |

Initialize the Vertex3f_Texture.

Definition at line 207 of file Vertex3f.cpp.

Referenced by interpolate_to().

Zeni::Vertex3f_Texture::Vertex3f_Texture | ( | const Point3f & | position,
|  | const Point3f & | normal,
|  | const Point2f & | texture_coordinate
| ) |  |

Definition at line 211 of file Vertex3f.cpp.

Zeni::Vertex3f_Texture::Vertex3f_Texture | ( | const Point3f & | position,
|  | const Point2f & | texture_coordinate
| ) |  |

Definition at line 217 of file Vertex3f.cpp.

## Member Function Documentation

Vertex3f_Texture * Zeni::Vertex3f_Texture::interpolate_to | ( | const float & | rhs_part,
|  | const Vertex3f_Texture & | rhs
| ) |  | const

Get a Vertex2f_Texture between two vertices; rhs must be a Vertex2f_Texture.

Definition at line 223 of file Vertex3f.cpp.

References Zeni::Point2f::interpolate_to(), Zeni::Point3f::interpolate_to(), Zeni::Vertex3f::normal, Zeni::Vertex3f::position, texture_coordinate, and Vertex3f_Texture().

bool Zeni::Vertex3f_Texture::is_3d | ( |  | ) | const

virtual

Tell the rendering system if we're using 3D coordinates.

Implements Zeni::Renderable.

Definition at line 229 of file Vertex3f.cpp.

void Zeni::Vertex3f_Texture::render_to | ( | Video_GL_Fixed & | screen | ) | const

virtual

Overridden for OpenGL rendering.

Implements Zeni::Renderable.

Definition at line 234 of file Vertex3f.cpp.

References assert.

void Zeni::Vertex3f_Texture::render_to | ( | Video_GL_Shader & | screen | ) | const

virtual

Overridden for OpenGL rendering.

Implements Zeni::Renderable.

Definition at line 285 of file Vertex3f.cpp.

References assert.

void Zeni::Vertex3f_Texture::render_to | ( | Video_DX9 & | screen | ) | const

virtual

Overridden for Direct3D9 rendering.

Implements Zeni::Renderable.

Definition at line 298 of file Vertex3f.cpp.

References assert.

void Zeni::Vertex3f_Texture::subrender_to | ( | Video_GL_Fixed & | screen | ) | const

virtual

Definition at line 238 of file Vertex3f.cpp.

References glNormal3f, glTexCoord2f, glVertex3f, Zeni::Vertex3f::normal, Zeni::Vertex3f::position, texture_coordinate, Zeni::Point2f::x, Zeni::Point3f::x, Zeni::Point2f::y, Zeni::Point3f::y, and Zeni::Point3f::z.

void Zeni::Vertex3f_Texture::subrender_to | ( | Video_GL_Shader & | screen | ) | const

virtual

DEPRECATED

Definition at line 289 of file Vertex3f.cpp.

References glNormal3f, glTexCoord2f, glVertex3f, Zeni::Vertex3f::normal, Zeni::Vertex3f::position, texture_coordinate, Zeni::Point2f::x, Zeni::Point3f::x, Zeni::Point2f::y, Zeni::Point3f::y, and Zeni::Point3f::z.

## Member Data Documentation

Point2f Zeni::Vertex3f_Texture::texture_coordinate

Definition at line 143 of file Vertex3f.h.

Referenced by interpolate_to(), and subrender_to().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex3f.h
- zenilib/jni/external/zenilib/zeni_graphics/Vertex3f.cpp